#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 crypto-pubkey
version:              0.2.8
visibility:           public
id:                   crypto-pubkey-0.2.8-AFPTGU3ZfTxKD6DRqPbc7Z
key:                  crypto-pubkey-0.2.8-AFPTGU3ZfTxKD6DRqPbc7Z
license:              BSD-3-Clause
copyright:            Vincent Hanquez <vincent@snarc.org>
maintainer:           Vincent Hanquez <vincent@snarc.org>
author:               Vincent Hanquez <vincent@snarc.org>
homepage:             https://github.com/vincenthz/hs-crypto-pubkey
synopsis:             Public Key cryptography
description:
    Public Key cryptography

    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.

    Also have primitive support for Diffie Hellman, and ElGamal encryption

category:             Cryptography
abi:                  8c3505e7705001d59c3251cf1d306cf4
exposed:              True
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim

hidden-modules:
    Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
    Crypto.PubKey.Internal

import-dirs:          /usr/lib/ghc-8.10.4/site-local/crypto-pubkey-0.2.8
library-dirs:         /usr/lib/ghc-8.10.4/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/crypto-pubkey-0.2.8
hs-libraries:         HScrypto-pubkey-0.2.8-AFPTGU3ZfTxKD6DRqPbc7Z
depends:
    base-4.14.1.0 byteable-0.1.1-2tCrGdFfJISCmoPhB610i6
    bytestring-0.10.12.0 crypto-numbers-0.2.7-IB6LmkhxCcSDE1XAcYn5pF
    crypto-pubkey-types-0.4.3-DthgHb8n0fGzO9ebB5HHo
    crypto-random-0.0.9-6p8fhJKaeA61OBO0ssuaxN
    cryptohash-0.11.9-HAvBhzs4p5E1hX6rK3XVY1

haddock-interfaces:
    /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock

haddock-html:         /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

